import { ApiHideProperty, ApiProperty } from '@nestjs/swagger';
import { Column, Entity, JoinTable, ManyToMany, Relation } from 'typeorm';
import { CommonEntity } from '~/common/entity/common.entity';

@Entity({ name: 'contract' })
export class RoleEntity extends CommonEntity {
  @Column({ length: 100, unique: true, name: 'contract_number' })
  @ApiProperty({ description: '合同编号' })
  contractNumber: string;

  @Column({ length: 255, name: 'title', type: 'varchar' })
  @ApiProperty({ description: '合同标题' })
  title: string;

  @Column()
  @ApiProperty({ description: '合同类型', type: 'varchar' })
  type: number;

  @Column({ name: 'partyA', length: 255, type: 'varchar' })
  @ApiProperty({ description: '甲方' })
  partyA: string;

  // @Column({ type: 'tinyint', nullable: true, default: 1 })
  // @ApiProperty({ description: '状态：1启用，0禁用' })
  // status: number

  // @Column({ nullable: true })
  // @ApiProperty({ description: '是否默认用户' })
  // default: boolean

  // @ApiHideProperty()
  // @ManyToMany(() => MenuEntity, menu => menu.roles, {})
  // @JoinTable({
  //   name: 'sys_role_menus',
  //   joinColumn: { name: 'role_id', referencedColumnName: 'id' },
  //   inverseJoinColumn: { name: 'menu_id', referencedColumnName: 'id' },
  // })
  // menus: Relation<MenuEntity[]>
}
